"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = configContext => {
  const {
    CompoundInput,
    TextInput,
    StructuredDateInput,
    TermPickerInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  const {
    DATA_TYPE_STRUCTURED_DATE
  } = configContext.dataTypes;
  const {
    extensions
  } = configContext.config;
  return {
    'ns2:conditionchecks_variablemedia': {
      [config]: {
        service: {
          ns: 'http://collectionspace.org/services/conditioncheck/domain/variablemedia'
        }
      },
      technicalChangesGroupList: {
        [config]: {
          view: {
            type: CompoundInput
          }
        },
        technicalChangesGroup: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              fullName: {
                "id": "field.ext.technicalChanges.technicalChangesGroup.fullName",
                "defaultMessage": "Technical change"
              }
            }),
            repeating: true,
            view: {
              type: CompoundInput
            }
          },
          technicalChange: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.ext.technicalChanges.technicalChange.name",
                  "defaultMessage": "Technical change"
                }
              }),
              view: {
                type: TermPickerInput,
                props: {
                  source: 'technicalchange'
                }
              }
            }
          },
          technicalChangeReason: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                fullName: {
                  "id": "field.ext.technicalChanges.technicalChangeReason.fullName",
                  "defaultMessage": "Technical change reason"
                },
                name: {
                  "id": "field.ext.technicalChanges.technicalChangeReason.name",
                  "defaultMessage": "Reason"
                }
              }),
              view: {
                type: TermPickerInput,
                props: {
                  source: 'technicalchangereason'
                }
              }
            }
          },
          technicalChangeDate: _objectSpread({
            [config]: {
              dataType: DATA_TYPE_STRUCTURED_DATE,
              messages: (0, _reactIntl.defineMessages)({
                fullName: {
                  "id": "field.ext.technicalChanges.technicalChangeDate.fullName",
                  "defaultMessage": "Technical change date"
                },
                groupName: {
                  "id": "field.ext.technicalChanges.technicalChangeDate.groupName",
                  "defaultMessage": "Date"
                },
                name: {
                  "id": "field.ext.technicalChanges.technicalChangeDate.name",
                  "defaultMessage": "Date"
                }
              }),
              view: {
                type: StructuredDateInput
              }
            }
          }, extensions.structuredDate.fields),
          technicalChangeNote: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                fullName: {
                  "id": "field.ext.technicalChanges.technicalChangeNote.fullName",
                  "defaultMessage": "Technical change note"
                },
                name: {
                  "id": "field.ext.technicalChanges.technicalChangeNote.name",
                  "defaultMessage": "Note"
                }
              }),
              view: {
                type: TextInput,
                props: {
                  multiline: true
                }
              }
            }
          },
          previousSupport: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                fullName: {
                  "id": "field.ext.technicalChanges.previousSupport.fullName",
                  "defaultMessage": "Technical change previous support"
                },
                name: {
                  "id": "field.ext.technicalChanges.previousSupport.name",
                  "defaultMessage": "Previous support"
                }
              }),
              view: {
                type: TermPickerInput,
                props: {
                  source: 'conditionsupport'
                }
              }
            }
          },
          newSupport: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                fullName: {
                  "id": "field.ext.technicalChanges.newSupport.fullName",
                  "defaultMessage": "Technical change new support"
                },
                name: {
                  "id": "field.ext.technicalChanges.newSupport.name",
                  "defaultMessage": "New support"
                }
              }),
              view: {
                type: TermPickerInput,
                props: {
                  source: 'conditionsupport'
                }
              }
            }
          }
        }
      }
    }
  };
};

exports.default = _default;