"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = configContext => {
  const {
    CompoundInput,
    AutocompleteInput,
    StructuredDateInput,
    TermPickerInput,
    TextInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  const {
    DATA_TYPE_STRUCTURED_DATE
  } = configContext.dataTypes;
  const {
    extensions
  } = configContext.config;
  return {
    document: {
      'ns2:concepts_common': {
        conceptRecordTypes: {
          conceptRecordType: {
            [config]: {
              view: {
                props: {
                  source: 'conceptrecordtype'
                }
              }
            }
          }
        }
      },
      'ns2:concepts_fineart': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/concept/domain/fineart'
          }
        },
        // Does not appear to be used.
        // conceptRecordType: {
        //   [config]: {
        //     messages: defineMessages({
        //       name: {
        //         id: 'field.concepts_fineart.conceptRecordType.name',
        //         defaultMessage: 'Concept record type',
        //       },
        //     }),
        //     view: {
        //       type: TermPickerInput,
        //       props: {
        //         source: 'conceptrecordtype',
        //       },
        //     },
        //   },
        // },
        otherNameFlags: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.concepts_fineart.otherNameFlags.name",
                "defaultMessage": "Other name flags"
              }
            }),
            view: {
              type: TermPickerInput,
              props: {
                source: 'othernameflags'
              }
            }
          }
        },
        conceptTermDateGroup: _objectSpread({
          [config]: {
            dataType: DATA_TYPE_STRUCTURED_DATE,
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.concepts_fineart.conceptTermDateGroup.name",
                "defaultMessage": "Concept Date"
              }
            }),
            view: {
              type: StructuredDateInput
            }
          }
        }, extensions.structuredDate.fields),
        relatedConceptsGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          relatedConceptsGroup: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.concepts_fineart.relatedConceptsGroup.name",
                  "defaultMessage": "Related concept"
                }
              }),
              repeating: true,
              view: {
                type: CompoundInput,
                props: {
                  tabular: true
                }
              }
            },
            relatedConcept: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  fullName: {
                    "id": "field.concepts_fineart.relatedConcept.fullName",
                    "defaultMessage": "Related concept"
                  },
                  name: {
                    "id": "field.concepts_fineart.relatedConcept.name",
                    "defaultMessage": "Concept"
                  }
                }),
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'concept/associated'
                  }
                }
              }
            },
            conceptRelationType: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  fullName: {
                    "id": "field.concepts_fineart.conceptRelationType.fullName",
                    "defaultMessage": "Related concept relation type"
                  },
                  name: {
                    "id": "field.concepts_fineart.conceptRelationType.name",
                    "defaultMessage": "Relation type"
                  }
                }),
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'conceptrelationtype'
                  }
                }
              }
            },
            conceptRelationDateGroup: _objectSpread({
              [config]: {
                dataType: DATA_TYPE_STRUCTURED_DATE,
                messages: (0, _reactIntl.defineMessages)({
                  fullName: {
                    "id": "field.concepts_fineart.conceptRelationDateGroup.fullName",
                    "defaultMessage": "Related concept date"
                  },
                  groupName: {
                    "id": "field.concepts_fineart.conceptRelationDateGroup.groupName",
                    "defaultMessage": "Date"
                  },
                  name: {
                    "id": "field.concepts_fineart.conceptRelationDateGroup.name",
                    "defaultMessage": "Date"
                  }
                }),
                view: {
                  type: StructuredDateInput
                }
              }
            }, extensions.structuredDate.fields)
          }
        },
        conceptRemarks: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                "id": "field.concepts_fineart.conceptRemarks.name",
                "defaultMessage": "Concept remark"
              }
            }),
            view: {
              type: TextInput
            }
          }
        }
      }
    }
  };
};

exports.default = _default;